## toshutils 2.0.1-2

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in  -- master makefile template for the Toshiba Linux Utilities
#
# Copyright 1999-2001  Jonathan A. Buzzard (jonathan@buzzard.org.uk)
#
# $Log:$
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Id:$
#

VERSION=2.0.1

INSTALL = /usr/bin/install -c
BININSTALL = ${INSTALL}
MANINSTALL = ${INSTALL} -m 644
prefix = /usr/local
BINDESTDIR = ${prefix}
MANDESTDIR = ${prefix}/man

DESTDIR =

all:
	cd src; $(MAKE) all

depend:
	cd src; $(MAKE) depend

install: all install-doc install-prog install-module

install-doc:
	cd doc; $(MAKE) DESTDIR=$(DESTDIR) install

install-prog:
	cd src; $(MAKE) DESTDIR=$(DESTDIR) install-prog

install-module:
	cd src; $(MAKE) DESTDIR=$(DESTDIR) install-module

clean:
	cd doc; $(MAKE) clean
	cd src; $(MAKE) clean

distclean: clean
	cd doc; $(MAKE) distclean
	cd src; $(MAKE) distclean
	rm -f config.status config.cache config.log Makefile.old

dist:
	(rm -f ChangeLog; \
	rcs2log -R > ChangeLog; \
	rm -rf /tmp/toshutils-$(VERSION); \
	mkdir /tmp/toshutils-$(VERSION); \
	cp -p * /tmp/toshutils-$(VERSION); \
	cp -a ./doc/ /tmp/toshutils-$(VERSION); \
	cp -a ./src/ /tmp/toshutils-$(VERSION); \
	cp -a ./pixmaps/ /tmp/toshutils-$(VERSION); \
	cp -a ./contrib/ /tmp/toshutils-$(VERSION); \
	cp -a ./debian/ /tmp/toshutils-$(VERSION); \
	cd /tmp/toshutils-$(VERSION); \
	rm -f Makefile src/Makefile doc/Makefile; \
	chmod -R 644 * ; \
	chown -R root:root * ; \
	find -type d | xargs chmod 755; \
	chmod 755 configure config.guess config.sub install-sh src/fnfind; \
	cd ..; \
	tar cvf toshutils-$(VERSION).tar toshutils-$(VERSION); \
	gzip -9f toshutils-$(VERSION).tar; \
	echo Done.)
