=== debian/changelog ===
toshutils (2.0.1-2) unstable; urgency=low

  * Added libgtk1.2-dev to Build-Depends.  Closes: #134903. 

 -- Drew Parsons <dparsons@debian.org>  Fri, 22 Feb 2002 14:09:12 +1100

toshutils (2.0.1-1) unstable; urgency=low

  * New upstream version.  Closes: #93127, #125425.
  * New standards version: 3.5.6.0.
  * Use DH_COMPAT=3 in debian/rules to get /etc/modutils/toshutils
    automatically flagged as a conffile.

 -- Drew Parsons <dparsons@debian.org>  Thu, 31 Jan 2002 01:29:47 +1100

toshutils (2.0-1) unstable; urgency=low

  * New upstream version.
  * Remove dependency on toshiba module package; do not provide that
    package any more.  Likewise remove suggest-dependencies on
    debhelper, gcc, etc, delete control-modules and remove
    module build entries in rules.
  * Build-dependency on xlib6g-dev changed to xlibs-dev.
  * Standards version 3.5.5.0.

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Jul 2001 12:33:41 +1000

toshutils (1.9.10-1) unstable; urgency=low

  * New upstream version.
  * Set dependency on debhelper, gcc and friends to "suggests", since
    these are only required for building the toshiba module package.
    Closes: #84879.

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Feb 2001 23:03:19 +1100

toshutils (1.9.9-7) unstable; urgency=low

  * New maintainer: Drew Parsons - now passed through the New Maintainer
    Queue!  Thanks, Joop, for all your support!
  * Tarred and gzipped the toshiba module code in /usr/src/modules,
    since the module is now in the kernel (2.2.17).  The tarred directory
    is renamed to "toshiba" rather than "toshutils".
  * Dependency on toshiba correspondingly downgraded from "recommends"
    to "suggests".
  * Applied patch offered by TSUCHIYA Masatoshi which corrects directory
    settings in debian/rules and other makefiles, allowing wmtuxtime's
    buttons to work properly.  Closes: #76353, #78705.
  * In debian/rules, epoch extracted from beginning of $KDREV, not from end.
    Closes: #75021.
  * Check for and remove control file in debian directory for old kernel
    module when running preinst, allowing for clean upgrade.
  * Lintian sez: put #DEBHELPER# in preinst.

 -- Drew Parsons <dparsons@debian.org>  Sat, 16 Dec 2000 23:45:11 +1100

toshutils (1.9.9-6) unstable; urgency=low

  * New maintainer: Drew Parsons
  * "Reccommends:" changed to "Recommends:" in Debian control file.
  * Upload on behalf of Drew, until he becomes a debian maintainer.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 23 Oct 2000 22:30:24 +1100

toshutils (1.9.9-5) unstable; urgency=low

  * Added docs about building the kernel module, etc. Closes: #66645

 -- Joey Hess <joeyh@debian.org>  Wed, 23 Aug 2000 00:53:00 -0700

toshutils (1.9.9-4) unstable; urgency=low

  * Removing debian/control from the binary package in the last version
    broke modules builds. Fixed that, Closes: #65039

 -- Joey Hess <joeyh@debian.org>  Mon, 12 Jun 2000 11:48:52 -0700

toshutils (1.9.9-3) unstable; urgency=low

  * Don't include debian/control in binary package, just control.modules. 

 -- Joey Hess <joeyh@debian.org>  Thu,  6 Apr 2000 12:37:19 -0700

toshutils (1.9.9-2) unstable; urgency=low

  * Corrected the building of the modules package so that the modules file
    is recognized.

 -- Joey Hess <joeyh@debian.org>  Wed,  5 Apr 2000 15:37:50 -0700

toshutils (1.9.9-1) frozen unstable; urgency=low

  * New upstream source. This is an upstream bug-fix release, that:
    - uses a reserved minor number now instead of squatting
    - fixes hang problems in hotkey
    - builds on 2.0.x kernels too
    - fixes thotswap
  * The toshutils package now includes the small amount of source code
    needed to build the toshiba kernel module, and it will integrate with
    kernel-package to build it when a new kernel is built. Closes: #54954
    (release critical; bug horizon)

 -- Joey Hess <joeyh@debian.org>  Mon, 28 Feb 2000 14:24:03 -0800

toshutils (1.9.7-1) unstable; urgency=low

  * New upstream version, with module autoloading support.
  * No longer any need to add module to /etc/modules; removed that code.
  * Added module alias to support autoloading.

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Jan 2000 15:50:05 -0800

toshutils (1.9.6-1) unstable; urgency=low

  * Major new upstream release. I'm not sure how well this is going to work,
    it contains a kernel module and who knows if it will work with all 2.2
    kernels.
  * Corrected download location.

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Jan 2000 16:49:17 -0800

toshutils (1.1-4) unstable; urgency=low

  * Build deps.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 16:40:08 -0800

toshutils (1.1-3) unstable; urgency=low

  * Removed install-stamp target, which can cause some problems.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Sep 1999 13:30:55 -0700

toshutils (1.1-2) unstable; urgency=low

  * FHS

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Sep 1999 16:52:06 -0700

toshutils (1.1-1) unstable; urgency=low

  * First release.

 -- Joey Hess <joeyh@debian.org>  Wed,  4 Aug 1999 12:10:36 -0700

Local variables:
mode: debian-changelog
End:
