=== debian/control ===
Source: toshutils
Section: utils
Priority: extra
Build-Depends: debhelper, xlibs-dev, yacc|bison, flex, libgtk1.2-dev
Maintainer: Drew Parsons <dparsons@debian.org>
Standards-Version: 3.5.6.0

Package: toshutils
Architecture: i386
Conflicts: toshiba-fan, toshiba-hotkey, suidmanager (<< 0.50)
Provides: toshiba-fan, toshiba-hotkey
Replaces: toshiba-fan, toshiba-hotkey
Depends: ${shlibs:Depends}
Description: Toshiba laptop utilities
 This is a collection of utilities to control a Toshiba laptop. It includes
 programs to turn the fan on and off, to view the power mode, and to set
 the supervisor password.
