## toshutils 2.0.1-5

=== Makefile ===
--- 
+++ 
@@ -27,9 +27,9 @@
 INSTALL = /usr/bin/install -c
 BININSTALL = ${INSTALL}
 MANINSTALL = ${INSTALL} -m 644
-prefix = /usr/local
+prefix = /usr
 BINDESTDIR = ${prefix}
-MANDESTDIR = ${prefix}/man
+MANDESTDIR = /usr/share/man
 
 DESTDIR =
