=== debian/changelog ===
toshutils (2.0.1-5) unstable; urgency=low

  * Change ./MAKEDEV to /sbin/MAKEDEV and make sure it exists before
    calling it in postinst.  Closes: #184896.

 -- Drew Parsons <dparsons@debian.org>  Sat, 29 Mar 2003 00:27:32 +1100

toshutils (2.0.1-4) unstable; urgency=low

  * Added dependency on makedev, required for pure devfs systems. 
    Patch from Torne Wuff improves devfs handling. Closes: #174102.
  * Gotta explicitly acknowledge the NMU to clear the bug. Closes: #167053.

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Jan 2003 04:09:13 +1100

toshutils (2.0.1-3) unstable; urgency=low

  * Include fnfind along with the docs in /usr/share/doc.  Closes: #153069.
  * New standards version 3.5.8.
  * Use debhelper v4.

 -- Drew Parsons <dparsons@debian.org>  Sat, 30 Nov 2002 12:19:27 +1100

toshutils (2.0.1-2.1) unstable; urgency=low

  * Non-maintainer bugsquashing upload
  * Applied bison errors patch (thanks, Matt Kraai!) (Closes: #167053)

 -- Hwei Sheng Teoh <hsteoh@debian.org>  Sat, 23 Nov 2002 23:54:11 -0500
